#ifdef GL_ES
    precision lowp float;
#endif


varying vec4 v_color;
varying vec2 v_texCoords;
uniform sampler2D lightMap;
uniform sampler2D mapTexture;



void main() {
	
	float lightColor = 0.04 + texture2D(lightMap, v_texCoords).r;
	if ( lightColor > 1.0 )
	lightColor = 1.0;
	

	
	gl_FragColor = vec4(
				texture2D(mapTexture, v_texCoords).r / (lightColor) ,
				texture2D(mapTexture, v_texCoords).g / (lightColor) ,
				texture2D(mapTexture, v_texCoords).b / (lightColor) ,
				texture2D(mapTexture, v_texCoords).a / (lightColor) 
				)
				;
}
